Package org.eclipse.net4j.util.cache

## Enum ICacheMonitor.Condition

- java.lang.Object
- - java.lang.Enum<ICacheMonitor.Condition>
  - - org.eclipse.net4j.util.cache.ICacheMonitor.Condition

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ICacheMonitor.Condition>`
  Enclosing interface:
    ICacheMonitor

      public static enum ICacheMonitor.Condition
      extends java.lang.Enum<ICacheMonitor.Condition>

  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GREEN` | Condition GREEN indicates that the system is operating normally and enough free memory is available so that caches are free to cache additional elements.
    `RED` | Condition RED indicates that the system state is critical and free memory is almost exhausted so that caches must immediately stop to cache additional elements.
    `YELLOW` | Condition YELLOW indicates that the system is operating normally but free memory is about to go low so that caches should stop to cache additional elements.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ICacheMonitor.Condition` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ICacheMonitor.Condition[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GREEN

          public static final ICacheMonitor.Condition GREEN

      Condition GREEN indicates that the system is operating normally and enough free memory is available so that caches are free to cache additional elements.

    - #### YELLOW

          public static final ICacheMonitor.Condition YELLOW

      Condition YELLOW indicates that the system is operating normally but free memory is about to go low so that caches should stop to cache additional elements.

    - #### RED

          public static final ICacheMonitor.Condition RED

      Condition RED indicates that the system state is critical and free memory is almost exhausted so that caches must immediately stop to cache additional elements. Depending of the eviction strategy element eviction is ordered.

  - ### Method Detail

    - #### values

          public static ICacheMonitor.Condition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ICacheMonitor.Condition c : ICacheMonitor.Condition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ICacheMonitor.Condition valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null